SocialConnect Auth
==================

[![Packagist](https://img.shields.io/packagist/v/socialconnect/auth.svg?style=flat-square)](https://packagist.org/packages/socialconnect/auth)
[![License](http://img.shields.io/packagist/l/SocialConnect/auth.svg?style=flat-square)](https://github.com/SocialConnect/auth/blob/master/LICENSE)
[![Scrutinizer Code Quality](http://img.shields.io/scrutinizer/g/socialconnect/auth/master.svg?style=flat-square)](https://scrutinizer-ci.com/g/SocialConnect/auth/?branch=master)
[![Build Status](https://img.shields.io/github/workflow/status/SocialConnect/auth/CI/master?style=flat-square)](https://github.com/SocialConnect/auth/actions?query=workflow%3ACI+branch%3Amaster)
[![Scrutinizer Code Coverage](https://img.shields.io/scrutinizer/coverage/g/socialconnect/auth/master.svg?style=flat-square)](https://scrutinizer-ci.com/g/SocialConnect/auth/?branch=master)
[![FOSSA Status](https://app.fossa.io/api/projects/git%2Bgithub.com%2FSocialConnect%2Fauth.svg?type=shield)](https://app.fossa.io/projects/git%2Bgithub.com%2FSocialConnect%2Fauth?ref=badge_shield)

## [Getting Started](https://socialconnect.lowl.io/installation.html) :: [Documentation](https://socialconnect.lowl.io/) :: [Demo](https://sc.lowl.io/)

> Open source social sign on PHP. Connect your application(s) with social network(s).

Code examples you can find in [example](./example) directory

# Features

* <b>Functional</b>: support [30+ providers]((https://socialconnect.lowl.io/providers.html)) such as Facebook, Google, Twitter, GitHub, Vk and another.
* <b>Completely</b>: We supports all social sign standarts: OAuth1/OAuth2/OpenID/OpenIDConnect.
* <b>Follow standards</b>: We follow PSR-7/PSR-17/PSR-18 standards.
* <b>Modular</b>: Use only what, that you need, see [architecture overview](https://socialconnect.lowl.io/architecture.html).
* <b>Quality</b>: CodeCoverage with 80%+ and We are using static analyzers.

## Supported type of providers

- [x] OAuth1 [spec RFC 5849](https://tools.ietf.org/html/rfc5849)
- [x] OAuth2 [spec RFC 6749](https://tools.ietf.org/html/rfc6749)
- [X] OpenID v1 (1.1) (WIP!) [spec](https://openid.net/specs/openid-authentication-1_1.html)
- [X] OpenID v2 [spec](http://openid.net/specs/openid-authentication-2_0.html)
- [X] OpenID Connect (1.0) [spec](http://openid.net/specs/openid-connect-core-1_0.html#OpenID.Discovery)
    - [X] JWT (JSON Web Token) [spec RFC 7519](https://tools.ietf.org/html/rfc7519)
    - [X] JWK (JSON Web Keys) [spec RFC 7517](https://tools.ietf.org/html/rfc7517)

## Supported providers

`SocialConnect/Auth` support 30+ providers such as Facebook, Google, Twitter, GitHub, Vk and another.

[See all 30+ provider](https://socialconnect.lowl.io/providers.html)

## Installation & Getting Started

There is a documentation for [Installation & Getting Started](https://socialconnect.lowl.io/installation.html)

## Referenced projects

- [OrgHeiglHybridAuth](https://github.com/heiglandreas/HybridAuth) from [@heiglandreas](https://github.com/heiglandreas) - Authentication-layer for your ZendFramework3 App.
- [cakephp-social-auth](https://github.com/ADmad/cakephp-social-auth) from [@ADmad](https://github.com/ADmad) - CakePHP plugin. 
- [Phalcon-module-skeleton](https://github.com/ovr/phalcon-module-skeleton) from [@ovr](https://github.com/ovr) - There is a module for Phalcon inside project.

## Versions

| Version                                                  | Status      | EOL        | PHP Version |
|----------------------------------------------------------|-------------|------------|-------------|
| [3.x](https://github.com/SocialConnect/auth/tree/master) | Current     |     --     | >= 7.1      |
| [2.x](https://github.com/SocialConnect/auth/tree/2.x)    | Maintenance | 2020-06-01 | >= 7.0      |
| [1.x](https://github.com/SocialConnect/auth/tree/1.x)    | EOL         | 2020-01-24 | >= 5.5      |

Contributors
============

This project exists thanks to all the people who contribute. Contributions are welcome!

[![](https://sourcerer.io/fame/ovr/SocialConnect/auth/images/0)](https://sourcerer.io/fame/ovr/SocialConnect/auth/links/0)
[![](https://sourcerer.io/fame/ovr/SocialConnect/auth/images/1)](https://sourcerer.io/fame/ovr/SocialConnect/auth/links/1)
[![](https://sourcerer.io/fame/ovr/SocialConnect/auth/images/2)](https://sourcerer.io/fame/ovr/SocialConnect/auth/links/2)
[![](https://sourcerer.io/fame/ovr/SocialConnect/auth/images/3)](https://sourcerer.io/fame/ovr/SocialConnect/auth/links/3)
[![](https://sourcerer.io/fame/ovr/SocialConnect/auth/images/4)](https://sourcerer.io/fame/ovr/SocialConnect/auth/links/4)
[![](https://sourcerer.io/fame/ovr/SocialConnect/auth/images/5)](https://sourcerer.io/fame/ovr/SocialConnect/auth/links/5)
[![](https://sourcerer.io/fame/ovr/SocialConnect/auth/images/6)](https://sourcerer.io/fame/ovr/SocialConnect/auth/links/6)
[![](https://sourcerer.io/fame/ovr/SocialConnect/auth/images/7)](https://sourcerer.io/fame/ovr/SocialConnect/auth/links/7)

### License

This project is open-sourced software licensed under the MIT License.

See the [LICENSE](LICENSE) file for more information.


[![FOSSA Status](https://app.fossa.io/api/projects/git%2Bgithub.com%2FSocialConnect%2Fauth.svg?type=large)](https://app.fossa.io/projects/git%2Bgithub.com%2FSocialConnect%2Fauth?ref=badge_large)
